import info.gridworld.grid.Grid;
import info.gridworld.grid.Location;
import info.gridworld.grid.BoundedGrid;
import info.gridworld.actor.Rock;
import info.gridworld.actor.Actor;
import info.gridworld.actor.Flower;
import info.gridworld.actor.ActorWorld;

public class DirectorRunner
{
    public static void main( String[] args )
    {
    	ActorWorld aw = new ActorWorld( new BoundedGrid<Actor>(7, 7) );
    	//aw.add( new Director() );    //must create the Director class before uncommenting this line
    	aw.add( new Actor() );
    	aw.add( new Flower() ); 
    	aw.add( new Flower() ); 
    	aw.add( new Flower() ); 
    	aw.add( new Actor() );
    	aw.add( new Actor() );
    	aw.add( new Actor() );
    	aw.add( new Rock() );     		   	
    	aw.show();
    }   
}